<?php
/**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*/
require_once _PS_MODULE_DIR_ . 'sirv/sirv.php';

class SirvAjaxModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        $sirv = new Sirv();

        $product_id = Tools::getValue('id');

        $product = new Product( (int)$product_id, true, $this->context->language->id );

        $sirv->getViewFileContents(
            Configuration::get('SIRV_VIEW_FILE_FOLDER'),
            [
                '{product-sku}',
                '{product-name}',
                '{product-id}',
            ],
            [
                $product->reference,
                $product->name,
                $product_id,
            ],
            true
        );

        $combinations = $product->getAttributeCombinations($this->context->language->id);

        foreach ($combinations as $comb) {
            $sirv->getViewFileContents(
                Configuration::get('SIRV_VIEW_FILE_FOLDER_COMBINATION'),
                [
                    '{product-sku}',
                    '{product-id}',
                    '{combination-sku}',
                ],
                [
                    $product->reference,
                    $product_id,
                    $comb['reference'],
                ],
                true
            );
        }
        die;
    }
}
