<?php
/**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*/
class ImageManager extends ImageManagerCore
{
    public static function resize(
        $sourceFile,
        $destinationFile,
        $destinationWidth = null,
        $destinationHeight = null,
        $fileType = 'jpg',
        $forceType = false,
        &$error = 0,
        &$targetWidth = null,
        &$targetHeight = null,
        $quality = 5,
        &$sourceWidth = null,
        &$sourceHeight = null
    ) {
        if (defined('PS_ADMIN_DIR')) {
            return parent::resize(
                $sourceFile,
                $destinationFile,
                $destinationWidth,
                $destinationHeight,
                $fileType,
                $forceType,
                $error,
                $targetWidth,
                $targetHeight,
                $quality,
                $sourceWidth,
                $sourceHeight
            );
        }
        $sirv = Module::getInstanceByName('sirv');
        if (defined('PS_ADMIN_DIR') || !(Configuration::get('SIRV_ACTIVE')) || !$sirv || !Module::isEnabled('sirv')) {
            return parent::resize(
                $sourceFile,
                $destinationFile,
                $destinationWidth,
                $destinationHeight,
                $fileType,
                $forceType,
                $error,
                $targetWidth,
                $targetHeight,
                $quality,
                $sourceWidth,
                $sourceHeight
            );
        }
        $imgPathShort = str_replace(
            _PS_ROOT_DIR_.'/',
            '',
            $sourceFile
        );
        if ($sirv->isImageSynced($imgPathShort)) {
            return;
        } else {
            return parent::resize(
                $sourceFile,
                $destinationFile,
                $destinationWidth,
                $destinationHeight,
                $fileType,
                $forceType,
                $error,
                $targetWidth,
                $targetHeight,
                $quality,
                $sourceWidth,
                $sourceHeight
            );
        }
    }
}
