<?php
/**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*/
class Link extends LinkCore
{

    public function getMediaLink($filepath)
    {
        $sirv = Module::getInstanceByName('sirv');
        if (defined('PS_ADMIN_DIR') ||
            !$sirv || !(Configuration::get('SIRV_ACTIVE')) ||
            !Module::isEnabled('sirv') || !Configuration::get('SIRV_SERVE_JSCSS') ||
            $sirv->isFileExcluded($filepath)) {
            return $this->protocol_content.Tools::getMediaServer($filepath).$filepath;
        } else {
            return 'https://'.$sirv->getSirvURL(false).$filepath;
        }
    }

    public function getImageLink($name, $ids, $type = null, $extension = 'jpg')
    {
        $sirv = Module::getInstanceByName('sirv');
        $imgLink = version_compare(_PS_VERSION_, '8.0', '>=') ? parent::getImageLink($name, $ids, $type, $extension) : parent::getImageLink($name, $ids, $type);
        $sids = explode('-', $ids);
        $ids = (isset($sids[1]) ? $sids[1] : $sids[0]);
        $imgPath = _PS_PROD_IMG_DIR_.Image::getImgFolderStatic($ids).$ids.".jpg";

        
        if (defined('PS_ADMIN_DIR') || !(Configuration::get('SIRV_ACTIVE')) || !$sirv || !Module::isEnabled('sirv')) {
            return $imgLink;
        }
        
        $link = $sirv->syncImage($name, $ids, $type, $imgLink, $imgPath, 'PRODUCT', true);
        if ($link) {
            $imageLink = $link.$sirv->convertTypeToParams($type);
            if (empty($this->protocol_content)) {
                $imageLink = preg_replace('/^https?:\/\//ims', '', $imageLink);
            }
            if (preg_match('/ajax\/bulkSync\/generateXml\.php/ims', $_SERVER['REQUEST_URI'])) {
                $imageLink = str_replace('&', '&amp;', $imageLink);
            }
            return $imageLink;
        } else {
            if (Configuration::get('SIRV_SERVE_JSCSS')) {
                $imgLink = preg_replace(
                    '/^'.str_replace('https\\:', 'https?\\:', preg_quote($sirv->getSirvURL(), '/')).'/ims',
                    _PS_BASE_URL_.'/',
                    $imgLink
                );
            }
            return $imgLink;
        }
    }

    public function getCatImageLink($name, $id_category, $type = null, $extension = 'jpg')
    {
        $sirv = Module::getInstanceByName('sirv');
        $imgLink = version_compare(_PS_VERSION_, '8.0', '>=') ? parent::getCatImageLink($name, $id_category, $type, $extension) : parent::getCatImageLink($name, $id_category, $type);
        

        $imgPath = _PS_CAT_IMG_DIR_.$id_category.'.jpg';
        
        if (defined('PS_ADMIN_DIR') || !(Configuration::get('SIRV_ACTIVE')) || !$sirv || !Module::isEnabled('sirv')) {
            return $imgLink;
        }

        $link = $sirv->syncImage($name, $id_category, '', '', $imgPath, 'CATEGORY', true);
        if ($link) {
            $imageLink = $link.$sirv->convertTypeToParams($type);
            if (empty($this->protocol_content)) {
                $imageLink = preg_replace('/^https?:\/\//ims', '', $imageLink);
            }
            if (preg_match('/ajax\/bulkSync\/generateXml\.php/ims', $_SERVER['REQUEST_URI'])) {
                $imageLink = str_replace('&', '&amp;', $imageLink);
            }
            return $imageLink;
        } else {
            return $imgLink;
        }
    }
}
