<?php
/**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*/
class CmsController extends CmsControllerCore
{

    public function initContent()
    {

        $sirv = Module::getInstanceByName('sirv');
        $doSirv = !(defined('PS_ADMIN_DIR') ||
            !$sirv || !(Configuration::get('SIRV_ACTIVE')) ||
            !Module::isEnabled('sirv') || !Configuration::get('SIRV_IMAGES_CMS'));
        if ($doSirv && !empty($this->cms) && !empty($this->cms->content)) {
            $this->cms->content = preg_replace_callback('/<img[^>]*?>/ims', function ($matches) {
                $sirv = Module::getInstanceByName('sirv');
                $m = $matches[0];
                $src = preg_replace('/.*(?: |\t)src *= *"(.*?)".*/ims', '$1', $m);

                $url_reg = '/^(?:(https?:\/\/(www\.)?'.
                preg_quote(preg_replace('/https?:\/\/(?:www\.)?/ims', '', _PS_BASE_URL_.__PS_BASE_URI__), '/').
                ')|('.preg_quote(preg_replace('/https?:\/\/(?:www\.)?/ims', '', __PS_BASE_URI__), '/').'))/ims';

                $url_reg_short = '/^'.
                preg_quote(preg_replace('/https?:\/\/(?:www\.)?/ims', '', __PS_BASE_URI__), '/').
                '/ims';

                if ($src!=$m && preg_match($url_reg, $src)) {
                    $src = urldecode($src);
                    $imgPath = str_replace(_PS_BASE_URL_.__PS_BASE_URI__, '', $src);
                    if ($imgPath == $src) {
                        $imgPath = str_replace(str_replace('http:', 'https:', _PS_BASE_URL_).__PS_BASE_URI__, '', $src);
                    }
                    $imgPath = preg_replace($url_reg_short, '', $imgPath);
                    $imgPath = preg_replace('/^\//ims', '', $imgPath);
                    $link = $sirv->syncImage(false, false, false, $src, $imgPath, 'CUSTOM', true);
                    if ($link) {
                        $m = preg_replace('/(?: |\t)(src *= *".*?")/ims', ' src="'.$link.'"', $m);
                    }
                }
                return $m;
            }, $this->cms->content);
        }
        parent::initContent();
    }
}
