<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Sirv Limited <support@sirv.com>
 *  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
 *  @license   https://www.magictoolbox.com/license/
 */

$sirvjscomponent_items = explode(',', Configuration::get('SIRV_SIRVJSCOMPONENTS'));

if ($sirvjscomponent_items == array('') ) {
    $sirvjscomponent_items = array();
}

if (Configuration::get('SIRV_IMAGES_LAZYLOAD') == 1 && !in_array('lazyimage', $sirvjscomponent_items)) {
    $sirvjscomponent_items[] = 'lazyimage';
}

$modules = (!empty($sirvjscomponent_items))?'?modules='.implode(',', $sirvjscomponent_items):'';

?>
<style type="text/css">
    <?php $custom_css = Configuration::get('SIRV_CUSTOMCSS'); if (!empty($custom_css)) { echo $custom_css; } ?>
    img.Sirv:not([src]){ font-size: 0; line-height: 0; opacity:0; }        
</style>
<?php

?>
<link rel="dns-prefetch" href="https://<?=$GLOBALS['url']?>"/>
<link rel="preconnect" href="https://<?=$GLOBALS['url']?>" crossorigin />
<?php if (false && $GLOBALS['sirvjs']) { ?>
    <link rel="preconnect" href="https://scripts.sirv.com" crossorigin>
    <link rel="dns-prefetch" href="https://scripts.sirv.com">
    <?php if (count($sirvjscomponent_items) > 0) { ?>
    <script src="https://scripts.sirv.com/sirvjs/v3/sirv.js<?=$modules?>"></script>
    <?php } ?>
<?php } ?>
