<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Sirv Limited <support@sirv.com>
 *  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
 *  @license   https://www.magictoolbox.com/license/
 */
$ajaxURL = $GLOBALS['ajaxURL'];
$product_id = $GLOBALS['product_id'];
$combination_urls = $GLOBALS['combination_urls'];
$c_images = $GLOBALS['c_images'];
$c_images_first = $GLOBALS['c_images_first'];
$coverNum = $GLOBALS['coverNum'];
$images = $GLOBALS['images'];

?>
<div class="SirvContainer" 
    data-ajax-url="<?=$ajaxURL?>"
    data-product-id="<?=$product_id?>"
    data-is-prestashop17="<?=$GLOBALS['ps17']?>" 
    data-is-prestashop16="<?=$GLOBALS['ps16']?>" 
    data-mode="<?=Configuration::get('SIRV_SMV_COMBINATIONS')?>"
    data-combination-urls='<?=json_encode($combination_urls)?>' 
    data-combination-images='<?=json_encode($c_images)?>'
    data-combination-images-first='<?=json_encode($c_images_first)?>'
>
    <div class="Sirv" id="sirv-gallery" data-options="
    <?php if (!empty($layout_options)) { echo $layout_options.';'; } ?>
    <?php if (!empty($c_images)) { ?>
    autostart:off;
    <?php } ?>slide.first:<?=$coverNum?>">
    <?php
    $imagesFromSirv = false;
    $i = 0;
    foreach ($images as $id => $image) {
        $disabled = (!empty($image['disabled']) && $image['disabled'])?'data-disabled':'';
        $data_item_id = 'data-sirv-item-id="'.$i++.'"';
        $combination_id = (!empty($image['combination_id']))?'combination_id="'.$image['combination_id'].'"':'';

        $pin = '';
        
        if ($image['type'] == 'video' && $GLOBALS['pin_video'] != 'NO' && $GLOBALS['pin_video'] != '') {
            $pin = 'data-pinned="'.( ($GLOBALS['pin_video']=='LEFT')?'start':'end' ).'"';
        }
        if ($image['type'] == 'spin' && $GLOBALS['pin_spin'] != 'NO' && $GLOBALS['pin_spin'] != '') {
            $pin = 'data-pinned="'.( ($GLOBALS['pin_spin']=='LEFT')?'start':'end' ).'"';
        }
        if ($image['type'] == 'image' &&
            $GLOBALS['pin_image'] != 'NO' &&
            $GLOBALS['pin_image'] != '' && $GLOBALS['pin_image_mask'] != '') {
            $pattern = '.*'.str_replace(
                '*',
                '.*',
                preg_quote(
                    $GLOBALS['pin_image_mask'],
                    '#'
                )
            ).'.*';

            $filename = preg_replace('/.*\//ims', '', $image['url']);

            if (!empty($pattern) && @preg_match('#' . $pattern . '#ims', $filename)) {
                $pin = 'data-pinned="'.( ($GLOBALS['pin_image']=='LEFT')?'start':'end' ).'"';
            }
        }

        if ($image['type'] == 'image') {
            if (strrpos($image['url'], $GLOBALS['getSirvURL']) === false && empty($image['source'])) {
                ?><img 
                <?=$pin?> 
                <?=$data_item_id?> 
                <?=$disabled?> 
                <?=$combination_id?> 
                data-alt="<?=htmlspecialchars(htmlspecialchars_decode($image['alt'], ENT_QUOTES))?>"
                data-src="<?=$image['url']?>"/><?php
            } else { ?>
                <div <?=$pin?>
                    <?=$data_item_id?> <?=$disabled?> <?=$combination_id?> 
                    data-alt="<?=htmlspecialchars(htmlspecialchars_decode($image['alt'], ENT_QUOTES))?>"
                    data-id="<?=$image['id']?>"
                    data-src="<?=$image['url']?>"
                    <?php echo (strrpos($image['url'], $this->getSirvURL()) !== false && Configuration::get('SIRV_IMAGE_ZOOM')?'data-type="zoom"':'') ?>
                ></div>
                <?php
                $imagesFromSirv = true;
            }
        } elseif ($image['type'] == 'spin' || $image['type'] == 'video') {
            ?><div <?=$pin?>
            <?=$data_item_id?>
            <?=$disabled?>
            <?=$combination_id?>
            data-id="<?=$image['id']?>" data-src="<?=$image['url']?>"></div>
                <?php
                $imagesFromSirv = true;
        }
    }
    if (!$imagesFromSirv) {
        ?>
        <div data-disabled data-src="<?=$GLOBALS['getSirvURL'].Configuration::get('SIRV_FOLDER')?>'/1x1.png"></div>
        <?php
    }
    ?>    
    </div>
</div>

<?php

$smv_max_height = (int)trim(Configuration::get('SIRV_SMV_MAX_HEIGHT'));
if ($smv_max_height > 0) {
    ?>
    <style type="text/css">
        .SirvContainer .Sirv > .smv { max-height: <?=$smv_max_height?>px; }
    </style>
    <?php
}

$smv_options = Configuration::get('SIRV_SMVOPTIONS');
if (!empty($smv_options)) {
    ?>
    <script><?=$smv_options?></script>
    <?php
}

$smv_css = Configuration::get('SIRV_SMVCSS');
if (!empty($smv_css)) {
    ?>
    <style type="text/css">
        <?=$smv_css?>
    </style>
    <?php
}


if (!empty($GLOBALS['SIRV_SMV_FULLWIDTH_FIMAGE'])) {
    ?>
    <style type="text/css">
        .smv-slide:nth-child(1) {
            grid-column: span <?=$GLOBALS['SIRV_SMV_FULLWIDTH_FIMAGE']?>;
        }
    </style>    
    <?php
}