<?php
/**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*/
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_2_0_0($module)
{
    unset($module);
    $res = true;
    $columns = array(
        'status' => array(
            'ADD COLUMN `status` enum(\'NEW\',\'PROCESSING\',\'SYNCED\') DEFAULT NULL',
            'UPDATE `'._DB_PREFIX_.'sirv_images` SET status = \'SYNCED\''
        ),
        'type' => array(
            'ADD COLUMN `type` enum(\'PRODUCT\',\'MAGIC360\') DEFAULT NULL',
            'UPDATE `'._DB_PREFIX_.'sirv_images` SET type = \'PRODUCT\''
        ),
        'checks' => array(
            'ADD COLUMN `checks` TINYINT UNSIGNED NULL DEFAULT 0'
        )
    );
    foreach ($columns as $column => $sqls) {
        $sql = 'SHOW COLUMNS FROM `'._DB_PREFIX_.'sirv_images` LIKE \''.$column.'\'';
        $ifColumnExists = Db::getInstance()->ExecuteS($sql);
        if (!$ifColumnExists) {
            $res = $res && Db::getInstance()->query('ALTER TABLE `'._DB_PREFIX_.'sirv_images` '.$sqls[0]);
            if (!empty($sqls[1])) {
                $res = $res && Db::getInstance()->query($sqls[1]);
            }
        }
    }
    $res = Db::getInstance()->query(
        'DELETE t1 FROM '._DB_PREFIX_.'sirv_images t1
        INNER JOIN '._DB_PREFIX_.'sirv_images t2
        WHERE t1.id < t2.id AND t1.item_id= t2.item_id AND t1.type= t2.type'
    );
    $res = Db::getInstance()->query(
        'ALTER TABLE '._DB_PREFIX_.'sirv_images 
        ADD UNIQUE INDEX `index_unique` (`item_id` ASC, `type` ASC),
        ADD INDEX `index_item_id` (`item_id`),
        ADD INDEX `index_status` (`status`)'
    );
    return $res;
}
