<?php
/**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*/
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_4_6_0($module)
{
    $headerHookID = Hook::getIdByName('displayHeader');

    $updateHookName = false;
    $isPrestaShop1451 = version_compare(_PS_VERSION_, '1.4.5.1', '>=');
    if ($isPrestaShop1451) {
        $updateHookName = 'afterSaveProduct';
        if ($module->isPrestaShop15x) {
            $updateHookName = 'actionProductSave';
            if ($module->isPrestaShop16x) {
                $updateHookName = 'actionProductUpdate';
                if ($module->isPrestaShop17x) {
                    $updateHookName = 'actionProductSave';
                }
            }
        }
    }

    $res = Db::getInstance()->query(
        'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'sirv_video` (
        `id_product` int unsigned NOT NULL,
        `data` mediumtext,
        PRIMARY KEY (`id_product`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8;'
    )
    && $updateHookName && $module->registerHook($updateHookName)
    && ($module->updatePosition($headerHookID, 0, 1) || true)
    && $module->registerHook('displayAdminProductsExtra');
    return $res;
}
