/**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*/

function sirvOnDomReady(fnc) {
    if (typeof(jQuery) == 'undefined') {
        setTimeout(function() {
            sirvOnDomReady(fnc);
        }, 250);
        return;
    }
    jQuery(document).ready(fnc);
}

function sirv_decodeHtml(html) {
    var txt = document.createElement("textarea");
    txt.innerHTML = html;
    return txt.value;
}

function change_existing_account() {
    var $btnText = '', $titleText = '';
    if ($('#existing_account_on').prop('checked')) {
        $('ps-input-text[name="sirv_firstName"], .sirv_terms, ps-input-text[name="sirv_lastName"], ps-input-text[name="sirv_alias"]').hide();
        $('ps-input-text[name="sirv_otp"]').hide();        
        $titleText = sirv_text_connect_to_account;
    } else {
        $('ps-input-text[name="sirv_firstName"], .sirv_terms, ps-input-text[name="sirv_lastName"], ps-input-text[name="sirv_alias"]').show();
        $('ps-input-text[name="sirv_otp"]').hide();
        $btnText = sirv_text_get_started;
        $titleText = sirv_text_create_account;
    }
    $('.btn.save.connect-account').text($btnText);
    $('.connect-sirv-account h3').text($titleText);
}

function sirvSyncImages() {
    $('.sirv-browser-alert').show();

    $('.failed-images-list').hide().html('');
    $('.failed_images .processing-circle').hide();
    //$('.failed_images').hide();
    //$('.show-failed-images,.show-failed-images-csv').show();

    $.ajax({
        data: {
            ajax: true,
            action: 'SirvSyncImages'
        },
        url: sirv_module_dir,
        type: "GET",
        dataType: "json",
        success: function(data) {
            if (data && data.isMuted == 1) {
                document.location.reload();
                return;
            }
            if (data && typeof data.q != 'undefined') {
                // $('.sync-images .progress_q').html(data.q);
                // $('.sync-images .progress_total_count').html(data.total_count);
                
                $('.sync-images .progress_size_s').html(data.size_s);

                if ($('.sync-images-button-holder').closest('td').find('b.processing-info').length==0) {
                    $('.sync-images-button-holder').closest('td').append('<b class="processing-info"></b>');
                }

                $('.sync-images .progress_synced').html(data.SYNCED.count);
                $('.sync-images .progress_processing').html(data.PROCESSING.count);
                $('.sync-images .progress_failed').html(data.FAILED.count);
                
                $('.total_by_type-PRODUCT').html(data.total_by_type.PRODUCT);
                $('.total_by_type-CATEGORY').html(data.total_by_type.CATEGORY);
                $('.total_by_type-CUSTOM').html(data.total_by_type.CUSTOM);
                $('.total_by_type-MAGIC').html(data.total_by_type.MAGIC);

                // var processing_q = data.PROCESSING.count, new_q = data.NEW.count;
                // $('.processing-info').html('Images in queue: ' + processing_q);

                if (data.FAILED.count > 0) {
                    //$('.failed_images').attr('style','').show();
                    //$('.failed_images span').html(data.FAILED.count).closest('ps-form-group').show();
                    $('.failed-report-links').show();
                }

                var $progress_synced = (data.total_count!=0)?(data.SYNCED.count/data.total_count*100):0;                
                $('.progress-bar.synced').attr('style','width:'+$progress_synced+'%');

                
                var $progress_processing = (data.total_count!=0)?(data.PROCESSING.count/data.total_count*100):0;
                $('.progress-bar.processing').attr('style','width:'+$progress_processing+'%');
                

                var $progress_failed = (data.total_count!=0)?(data.FAILED.count/data.total_count*100):0;
                $('.progress-bar.failed').attr('style','width:'+$progress_failed+'%');

                var $progress_total_percent_progress = (data.total_count!=0)?parseInt( (data.SYNCED.count + data.FAILED.count)/data.total_count*100):0;

                $('.sync-images .total-percent-progress').html($progress_total_percent_progress);

                $('.sync-images .synced-and-failed').html(data.SYNCED.count + data.FAILED.count);

                $('.sync-images .total-images-count').html(data.total_count);

                //$('.sync-images .progress-bar.progress-bar-striped span').html($progress+'%');

                if (data.q*1 + data.FAILED.count<data.total_count*1) {
                    sirvSyncImages();
                } else {
                    $('.sync-images .progress-bar').removeClass('progress-bar-striped');
                    $('.sync-images-button-holder').removeClass('syncing');
                    $('.sync-images-button-holder').closest('td').remove();
                    $('#fieldset_image_cache_holder').show(0);
                    $('.sirv-browser-alert').hide();
                }
            }
        }
    });
}

function sirvAnalyzeImages() {


    var $data;

    if (arguments.length == 0) {
        $data = {
            'total_images' : 0,
            'total_size' : 0,
            'delete_images' : 0,
            'delete_size' : 0,
            'delete' : 0,
            
            'deleted_size' : 0,

            'step' : 100,
            'total_ps_images' : 0,
            'offset' : 0
        };
    } else {
        $data = arguments[0];
    }
  
    $('.analyze-images-link').data( $data );

    $('.analyze-images-link, .analyze-images-link-delete').closest('p').hide();

    if ($data.delete == 0) {
        $('.analyze-progress').show();
    } else {
        $('.analyze-progress-delete').show();        
        $('.analyze-info').hide();
    }


    $.ajax({
        data: {
            ajax: true,
            action: 'sirvAnalyzeImages',
            data: $data
        },
        url: sirv_module_dir,
        type: "GET",
        dataType: "json",
        error: function() {
            
        },
        success: function($data) {

            if ($data) {

                $data.delete *= 1;

                var $n = ( $data.delete ? $data.total_ps_images_synced : $data.total_ps_images ) * 1;

                var $progress = ($n>0)?parseInt($data.offset / $n * 100):0;
                if ($progress > 100) {
                    $progress = 100;
                }
                

                if ($data.delete) {
                    $('.analyze-progress-delete i').html( $data.deleted_size_text );
                } else {

                    $('.analyze-info').show();

                    $('.analyze-image-total-size').html( $data.total_size_text )
                    $('.analyze-image-total-images').html( $data.total_images )

                    $('.analyze-image-delete-size').html( $data.delete_size_text )
                    $('.analyze-image-delete-images').html( $data.delete_images )
                }


                $('.analyze-progress'+($data.delete?'-delete':'')+' span').html($progress+'%');

                if ($data.offset < $n*1) {
                    $data.offset = $data.offset * 1;
                    $data.offset += $data.step*1;
                    sirvAnalyzeImages( $data );
                } else {
                    if ($data.delete) {
                        $('.analyze-progress-delete .processing-circle').remove();
                    } else {
                        $('.analyze-progress').hide();
                        if ($data.delete_images*1) {
                            if (typeof $('.analyze-images-link-delete').attr('default-text') == 'undefined') {
                                $('.analyze-images-link-delete').attr('default-text', $('.analyze-images-link-delete').text() )
                            }
                            $('.analyze-images-link-delete').text( $('.analyze-images-link-delete').attr('default-text') + ' ' + $data.delete_images.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,') + ' image' + (($data.delete_images*1 > 1)?'s':'') );
                            $('.analyze-images-link-delete').closest('p').show();
                        }
                    }
                }
            }
        }
    });
}
         
function sirvCleanupImages() {

    var $data;

    if (arguments.length == 0) {
        $data = {
            // 'total_images' : 0,
            // 'total_size' : 0,

            'delete_images' : 0,
            'delete_size' : 0,

            'delete' : 0,
            
            'deleted_size' : 0,

            //'step' : 100,
            'step' : 1,
            'total_ps_images' : 0,
            'offset' : 0
        };
    } else {
        $data = arguments[0];
    }

    var $data_info = $data.info;
    $data.info = 0;
  
    $('.cleanup-images-link').data( $data );

    $('.cleanup-images-link, .cleanup-images-link-delete').closest('p').hide();

    if ($data.delete == 0) {
        $('.cleanup-progress').show();
    } else {
        $('.cleanup-progress-delete').show();        
        $('.cleanup-info').hide();
    }

    if ($data_info) {
        $('.cleanup-progress').hide();
        if ($data.delete_images*1) {
            if (typeof $('.cleanup-images-link-delete').attr('default-text') == 'undefined') {
                $('.cleanup-images-link-delete').attr('default-text', $('.cleanup-images-link-delete').text() )
            }
            $('.cleanup-images-link-delete').text( $('.cleanup-images-link-delete').attr('default-text') + ' ' + $data.delete_images.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,') + ' image' + (($data.delete_images*1 > 1)?'s':'') );
            $('.cleanup-images-link-delete').closest('p').show();
        }
        return;
    }

    $.ajax({
        data: {
            ajax: true,
            action: 'sirvCleanupImages',
            data: $data
        },
        url: sirv_module_dir,
        type: "GET",
        dataType: "json",
        error: function() {
            
        },
        success: function($data) {

            if ($data) {

                $process_next = $data.delete;

                $data.delete *= 1;

                var $n = ( $data.delete ? $data.total_ps_images_synced : $data.total_ps_images ) * 1;

                var $progress = ($n>0)?parseInt($data.offset / $n * 100):0;
                if ($progress > 100) {
                    $progress = 100;
                }


                if ($data.delete) {
                    $('.cleanup-progress-delete i').html( $data.deleted_size_text );
                } else {

                    $('.cleanup-info').show();

                    //$('.cleanup-image-total-size').html( $data.total_size_text )
                    //$('.cleanup-image-total-images').html( $data.total_images )

                    $('.cleanup-image-delete-size').html( $data.delete_size_text )
                    $('.cleanup-image-delete-images').html( $data.delete_images )
                }


                $('.cleanup-progress'+($data.delete?'-delete':'')+' span').html($progress+'%');

                if ($data.offset < $n*1) {
                    $data.offset = $data.offset * 1;
                    $data.offset += $data.step*1;
                    sirvCleanupImages( $data, $process_next );
                } else {
                    if ($data.delete) {
                        $('.cleanup-progress-delete .processing-circle').remove();
                    } else {
                        $('.cleanup-progress').hide();
                        if ($data.delete_images*1) {
                            if (typeof $('.cleanup-images-link-delete').attr('default-text') == 'undefined') {
                                $('.cleanup-images-link-delete').attr('default-text', $('.cleanup-images-link-delete').text() )
                            }
                            $('.cleanup-images-link-delete').text( $('.cleanup-images-link-delete').attr('default-text') + ' ' + $data.delete_images.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,') + ' file' + (($data.delete_images*1 > 1)?'s':'') );
                            $('.cleanup-images-link-delete').closest('p').show();
                        }
                    }
                }
            }
        }
    });
}
         
function sirvEstimateImages() {

    var $data;

    if (arguments.length == 0) {
        $data = {
            'total_images' : 0,
            'total_size' : 0,
            'delete': 0,
            'step' : 100,
            'total_ps_images' : 0,
            'offset' : 0
        };
    } else {
        $data = arguments[0];
    }
  
    $('.estimate-images-link').data( $data );

    $('.estimate-progress'+($data.delete?'-delete':'')+' span').html('0%');    

    $('.estimate-images-link, .estimate-images-link-delete').closest('p').hide();

    if ($data.delete == 0) {
        $('.estimate-progress').show();
    } else {
        $('.estimate-progress-delete').show();        
        $('.estimate-info').hide();
    }

    $.ajax({
        data: {
            ajax: true,
            action: 'sirvEstimateImages',
            data: $data
        },
        url: sirv_module_dir,
        type: "GET",
        dataType: "json",
        error: function() {
        },
        success: function($data) {

            if ($data) {

                $data.delete *= 1;

                var $n = ( $data.delete ? $data.total_ps_images_synced : $data.total_ps_images ) * 1;

                var $progress = ($n>0)?parseInt($data.offset / $n * 100):0;
                if ($progress > 100) {
                    $progress = 100;
                }
                

                if ($data.delete) {
                    $('.estimate-progress-delete i').html( $data.deleted_size_text );
                } else {

                    $('.estimate-info').show();

                    $('.estimate-image-total-size').html( $data.total_size_text )
                    $('.estimate-image-total-images').html( $data.total_images )

                    $('.estimate-image-delete-size').html( $data.delete_size_text )
                    $('.estimate-image-delete-images').html( $data.delete_images )
                }


                $('.estimate-progress'+($data.delete?'-delete':'')+' span').html($progress+'%');

                if ($data.offset < $n*1) {
                    $data.offset = $data.offset * 1;
                    $data.offset += $data.step*1;
                    sirvEstimateImages( $data );
                } else {
                    if ($data.delete) {
                        $('.estimate-progress-delete .processing-circle').remove();
                    } else {
                        $('.estimate-progress').hide();
                        if ($data.delete_images*1) {
                            if (typeof $('.estimate-images-link-delete').attr('default-text') == 'undefined') {
                                $('.estimate-images-link-delete').attr('default-text', $('.estimate-images-link-delete').text() )
                            }
                            $('.estimate-images-link-delete').text( $('.estimate-images-link-delete').attr('default-text') + ' ' + $data.delete_images.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,') + ' image' + (($data.delete_images*1 > 1)?'s':'') );
                            $('.estimate-images-link-delete').closest('p').show();
                        }
                    }
                }
            }
        }
    });
}

function show_error($message, $form) {
    hide_error($form);
    $('form.'+$form).before('<div id="error_'+$form+'" class="alert alert alert-danger">'+$message+'</div>');
}
function hide_error($form) {
    $('#error_'+$form).remove();
}
        

function resetConnectForm($change = true) {
    $('select[name="sirv_account"]').html('').closest('ps-select').hide();
    //$('ps-switch[name="existing_account"],ps-input-text[name="sirv_email"],ps-password[name="sirv_password"]').show();
    if ($change) {
        change_existing_account();
    }
}
function initShowAPILink() {
    $('.show-api-usage').on('click',function(e) {
        $('.api-usage-block').next('hr').remove();
        $(this).remove();
        $('.api-usage-block').show();
        e.preventDefault();
    });   
}

function setLazyOptionsVisibility() {
    if ($('[name="SIRV_IMAGES_LAZYLOAD"]').length) {
        var $elms = $('[name="SIRV_LAZY_PLACEHOLDER"],[name="SIRV_EXCLUDEFILES_FROM_LAZY"]');
        if ($('[name="SIRV_IMAGES_LAZYLOAD"]:checked').val() == 1) {
            $elms.closest('.form-group').show();
        } else {
            $elms.closest('.form-group').hide();
        }
    }
}

var $updateSirvJsSize_cache = {};

function updateSirvJsSize() {
    var $modules = [];
    $($sirv_jscomponents_query_string).filter(':checked').each(function(){
        $modules.push( $(this).val() )
    })

    if (typeof $updateSirvJsSize_cache[$modules.join(',')] != 'undefined') {
        $('.sirv-js-file-size span').html( $updateSirvJsSize_cache[$modules.join(',')] );
        return;
    }

    $.ajax({
        data: {
            ajax: true,
            action: 'sirvGetSirvJsSize',
            modules: $modules
        },
        url: sirv_module_dir,
        type: "GET",
        dataType: "json",
        error: function() {},
        success: function($data) {
            if ($data) {
                $('.sirv-js-file-size span').html( $data.size );
                $updateSirvJsSize_cache[$modules.join(',')] = $data.size;
            }
        }
    });

}

var $sirv_jscomponents_query_string = '[name*="SIRV_SIRVJSCOMPONENTS"]';

sirvOnDomReady(function($) {

	riot.mount('*');    

    $('.sirv-browser-alert').text( $('.sirv-browser-alert').text().replace('2000 ', sirv_max_files_to_fetch + ' ') )

    var $t_input = $('[name="SIRV_SMV_COLUMNS"],[name="SIRV_SMV_LAYOUT"],[name="SIRV_SMV_RATIO"],[name="SIRV_SMV_SPIN_POSITION"],[name="SIRV_SMV_VIDEO_POSITION"],[name="SIRV_SMV_SPIN_POSITION"],[name="SIRV_SMV_PIN_VIDEO"],[name="SIRV_SMV_PIN_SPIN"],[name="SIRV_SMV_PIN_BY_MASK"]')

    $t_input.closest('.radio').addClass('inline-block');

    $t_input.each(function(){
        $(this).closest('label').attr('for', $(this).attr('id'));
    })

    $t_input.closest('.col-lg-8, .col-lg-9').addClass('inline-block-parent');

    $('#SIRV_SIRVJSCOMPONENTS_ALL').prop('checked', $($sirv_jscomponents_query_string).filter(":checked").length == 5 );

    if (typeof sirv_text_file_size == 'undefined') {
        sirv_text_file_size = 'File size';
    }
    $('#SIRV_SIRVJSCOMPONENTS_ALL').closest('.checkbox').addClass('check-all-checkbox').parent().find('.checkbox').last().after('<p class="sirv-js-file-size"><b>'+sirv_text_file_size+':</b> <span></span></p>');

    $('#SIRV_SIRVJSCOMPONENTS_ALL').on('change', function(){
        if ($(this).prop('checked')) {
            $($sirv_jscomponents_query_string).prop('checked', true);
            $($sirv_jscomponents_query_string).first().trigger('change');
        }
    })

    $('.sirvTabsContent .inline-block-parent .help-block').each(function(){
        var $p = $(this).parent();
        $p.wrapInner('<div></div>');
        $(this).appendTo( $p )
        $p.css('display', 'block')
    })

    $($sirv_jscomponents_query_string).on('change', function(){
        $('#SIRV_SIRVJSCOMPONENTS_ALL').prop('checked', $($sirv_jscomponents_query_string).filter(":checked").length == 5 );        
        updateSirvJsSize();
    })

    if ($('#SIRV_SIRVJSCOMPONENTS_ALL').length) {
        updateSirvJsSize();
    }


    if (typeof sirv_text_product_image_size != 'undefined') {
        $('#SIRV_DOMAIN').closest('.form-group').after('<div class="form-group"><label class="control-label col-lg-3">'+sirv_text_product_image_size+'</label><div class="col-lg-9 analyze-holde"></div></div>');
    }

    $('.estimate-library-block').appendTo('.analyze-holde');
    
    $('#SIRV_HTTPUSERNAME').closest('.form-group').appendTo('#fieldset_http_authentication .form-wrapper');
    $('#SIRV_HTTPPASSWORD').closest('.form-group').appendTo('#fieldset_http_authentication .form-wrapper');
    $('#SIRV_HTTPPASSWORD').closest('.form-wrapper').after( $('#fieldset_1_1 .panel-footer').clone(true) );

    $('#SIRV_EXCLUDEFILES_FROM_LAZY').attr( 'placeholder', sirv_exclude_images_placeholder.replace(/<br\/>/g, "\r\n") );

    $('#fieldset_estimate_holder').remove();

    var $form = $('#fieldset_9_9').closest('form');
    $('#fieldset_9_9').insertAfter('#fieldset_synchronization_folder').wrap('<form class="defaultForm form-horizontal sirv" action="'+$form.attr('action')+'" method="post" enctype="multipart/form-data" novalidate=""></form>');

    $('[name="SIRV_SMV_PIN_BY_MASK"]').on('click', function(){
        if ( $('[name="SIRV_SMV_PIN_BY_MASK"]:checked').val() == 'NO' ) {
            $('#SIRV_SMV_PIN_MASK').closest('.form-group').hide();
        } else {
            $('#SIRV_SMV_PIN_MASK').closest('.form-group').show();        
        }        
    })

    $('[name="SIRV_SMV_PIN_BY_MASK"]:checked').trigger('click');

    $('.radio.inline-block input:checked').closest('.radio.inline-block').addClass('checked');

    $('.radio.inline-block input').on('click', function(){
        $(this).closest('.inline-block-parent').find('.checked').removeClass('checked');
        $(this).closest('.inline-block').addClass('checked');
    })

    $('[name="SIRV_SMV_LAYOUT"]').on('change', function(){
        var $show = $('[name="SIRV_SMV_LAYOUT"]:checked').length && $('[name="SIRV_SMV_LAYOUT"]:checked').val().indexOf('GRID')>-1;
        $('#smv_columns_0,#SIRV_SMV_SPACING').each(function(){
            if ($show) {
                $(this).closest('.form-group').removeClass('disabled-option');
            } else {
                $(this).closest('.form-group').addClass('disabled-option');
            }
        })
        // if (!$show) {
        //     $('#SIRV_SMV_RATIO_CUSTOM').closest('.form-group').hide();
        // } else {
        //     $('[name="SIRV_SMV_RATIO"]').first().trigger('change');
        // }
    })
    $('[name="SIRV_SMV_LAYOUT"]').first().trigger('change');

    $('[name="SIRV_SMV_RATIO"]').on('change', function(){
        var $show = $('[name="SIRV_SMV_RATIO"]:checked').val() == 'Custom';
        $('#SIRV_SMV_RATIO_CUSTOM').each(function(){
            if ($show) {
                $(this).closest('.form-group').show();
            } else {
                $(this).closest('.form-group').hide();                
            }
        })
    })
    $('[name="SIRV_SMV_RATIO"]').first().trigger('change');

    $('[name="SIRV_SMV_COLUMNS"]').on('change', function(){
        if ( $('[name="SIRV_SMV_COLUMNS"]:checked').val() > 1 ) {
            $('[name="SIRV_SMV_FULLWIDTH_FIMAGE"]').closest('.form-group').show();
        } else {
            $('[name="SIRV_SMV_FULLWIDTH_FIMAGE"]').closest('.form-group').hide();
        }        
    })
    $('[name="SIRV_SMV_COLUMNS"]').first().trigger('change');

    $('input[name="SIRV_SMV_MAX_HEIGHT"]').wrap('<div class="input-group"></div>');
    $('input[name="SIRV_SMV_MAX_HEIGHT"]').attr('style', 'min-width:100px;').after('<span class="append-text a-text-smvheight">px</span>');

    $('input[name="SIRV_SMV_SPACING"]').wrap('<div class="input-group"></div>');
    $('input[name="SIRV_SMV_SPACING"]').attr('style', 'min-width:100px;').after('<span class="append-text a-text-smvheight">px</span>');

    var $s = $('.a-text-smvheight');

    if ($('.analyze-library-block').length) {
        $('.analyze-library-block').appendTo( $('input[name="SIRV_DELETE_THUMBNAILS"]').closest('.form-group').find('.help-block').after('<div></div>') );
    }
    
    if ($('.delete-old-files').length) {
        $('[name="SIRV_DELETE_OLD_JS_CSS"]').closest('span').hide();
        $('.delete-old-files').appendTo( $('[name="SIRV_DELETE_OLD_JS_CSS"]').closest('div') );
    }
    
    $('select[name="SIRV_QUALITY"] option').first().after('<option disabled value="">----------------------------------------------------------------</option>')

    $('.breadcrumb.page-breadcrumb li:eq(1)').html('Sirv');
    $('.breadcrumb.page-breadcrumb li').attr('style','text-transform:capitalize !important');

    $('.text-helper div[data-panel-text]').each(function(){
        
        $('#'+$(this).data('panel-text')+' .panel-heading').after( $(this).html().replace(/\\'/igm,'') );
    })

    $('.text-helper div[data-prepend-text]').each(function(){
        
        $($(this).data('prepend-text')).before( $(this).html().replace(/\\"/igm,'"') );
    })

    if ($('select[name="SIRV_DOMAIN"] option').length == 0 && $('select[name="SIRV_DOMAIN"]').length) {
        $('select[name="SIRV_DOMAIN"]').hide().after('<p style="margin: 6px 0 0 0;font-weight: bold;">'+$('select[name="SIRV_DOMAIN"] option').first().html()+'</p>')
        $('select[name="SIRV_DOMAIN"]').next('p').next('p').html( $('select[name="SIRV_DOMAIN"]').next('p').next('p').html().replace('Create and manage domains in','Create a custom domain in') )
    };

    setLazyOptionsVisibility();

    $('[name="SIRV_IMAGES_LAZYLOAD"]').on('change', function(){
        setLazyOptionsVisibility();
    })

    $s.css(
        {
            'position':'relative',
            'z-index':'111',
            'left' : '-30px'
        }
    );
    $('input[name="SIRV_SMV_MAX_HEIGHT"]').css(
        {
            'padding-right' : '35px'
        }
    );

    $('#SIRV_SMVOPTIONS').attr('placeholder','var SirvOptions = {\r\n zoom: {\r\n   mode: "magnifier"\r\n }\r\n}')

    $('#SIRV_EXCLUDEFILES').attr('placeholder','e.g.\r\nthemes/classic/assets/css/*.css\r\nmodules/ps_banner/img/sale.png');
    $('#SIRV_EXCLUDEPAGES').attr('placeholder','e.g.\r\nexample/particular-page.html\r\na-whole-section/*');

    $('input[name="SIRV_FOLDER"]').each(function(){
        $(this).hide();
        $(this).after('<button type="button" class="btn btn-primary btn-sm change-input-save" style="display:none">Save</button>');
        $(this).before('<span style="padding-left:0;padding-right:12px;" class="text-control form-control">'+sirv_domain.replace(/https?:\/\//igm,'')+'<b class="folder-name-b">'+$(this).val()+'</b></span><a href="#" class="change-input">Change</a>');
    })

    $('.change-input').on('click', function(e){
        $(this).closest('div').find('input').show();
        $(this).prev('span').html( $(this).prev('span').html().replace(/\/$/gm,'') );
        $(this).prev('span').find('b').hide();

        $('.change-input-save').show();

        $(this).hide();
        e.preventDefault();
    })

    $('.change-input-save').on('click', function(e){

        $('.change-input').show();
        $('input[name="SIRV_FOLDER"]').hide();

        $('b.folder-name-b').html( $('input[name="SIRV_FOLDER"]').val() ).show();

        $.ajax({
            data: {
                ajax: true,
                folder: $('input[name="SIRV_FOLDER"]').val(),
                action: 'SirvSaveFolderName'
            },
            url: sirv_module_dir,
            type: "HEAD",            
            success: function(data) {
            },
            error: function() {
            }
        });        

        $(this).hide();
        e.preventDefault();
    })

    $('#configuration_form').append('<input type="hidden" name="default_tab" value="'+$('.sirvTabs .active').attr('data-content-id')+'"/>')

    $('.sirvTabs a.list-group-item').on('click', function(e){

        $('.sirvTabs a.list-group-item').removeClass('active');
        $(this).addClass('active');
        $('.sirvTabsContent .panel, ps-panel.fieldset_0').hide();
        
        var $elms = $(this).data('content-id').split(',');
        for (var $i in $elms) {
            $('.sirvTabsContent .panel.'+$elms[$i]+', .sirvTabsContent ps-panel.'+$elms[$i]+', .sirvTabsContent .panel#'+$elms[$i]+', .sirvTabsContent #'+$elms[$i]+', .sirvTabsContent #'+$elms[$i]+' .panel').show();
        }
        $('[name="default_tab"]').val( $(this).data('content-id') );

        e.preventDefault();
    })

    $('.sirvTabs a.list-group-item.active').trigger('click');



    $('.show-changelog').on('click', function(e){
        $('.sirv-modal').addClass('shown');
        e.preventDefault();
    })

    $('.sirv-modal-close').on('click', function(e){
        $('.sirv-modal').removeClass('shown');
        e.preventDefault();
    })
    $(document).keyup(function(e) {
        if (e.key === "Escape") {
            $('.sirv-modal').removeClass('shown');
        }
    });


    $('#fieldset_3_3 .panel-footer')./*css('border-top', 'none').*/appendTo('#fieldset_3_3 .form-wrapper')

    $("#SIRV_VIEW_FILE_FOLDER_COMBINATION").closest('.form-wrapper').append( $("#empty-sirv-content-cache").html() );    
    $("#empty-sirv-content-cache").remove();
    $('.btn-empty-sirv-content-cache').on('click', function(e){
        $(this).attr('disabled','');
        $('#empty-sirv-content-cache-loader').show();
        $.ajax({
            data: {
                ajax: true,
                method: $('[name="empty-sirv-cache-method"]:checked').val(),
                action: 'SirvEmptyViewsCache'
            },
            url: sirv_module_dir,
            type: "GET",
            dataType: "json",
            success: function(data) {
                $('.btn-empty-sirv-content-cache').removeAttr('disabled');
                $('#empty-sirv-content-cache-loader').hide();

                $('.info-viewsCacheAll').html( data.viewsCacheAll );
                $('.info-viewsCacheMissed').html( data.viewsCacheMissed );

            },
            error: function() {
            }
        });
        e.preventDefault();
    });

    //$('#fieldset_0 .form-group').clone().appendTo( $('#fieldset_0 .form-wrapper') );

    

    //$aRow.find('label').html('');
    //$aRow.find('div').html( $('#sirv-about').html() );
    
    $('#fieldset_0').after( $('#sirv-about').html() );

    if (typeof sirv_text_choose_a_name != 'undefined') {
        $('.input[name="sirv_alias"]').after('<p class="help-block">'+sirv_text_choose_a_name+'</p>');
    }

    $('.btn.sync-images').on('click',function(event) {
        $('.sync-images .progress-bar').addClass('progress-bar-striped');
        $('.sync-images-button-holder').addClass('syncing');
        sirvSyncImages();
    });

    $('.btn.analyze-images-link').on('click',function(e) {
        sirvAnalyzeImages();
        e.preventDefault();
    });

    $('.btn.cleanup-images-link').on('click',function(e) {
        sirvCleanupImages();
        e.preventDefault();
    });
    $('.btn.cleanup-images-link-delete').on('click',function(e) {
        var $data = $('.cleanup-images-link').data();
        $data.delete = 1;
        $data.offset = 0;
        sirvCleanupImages($data);
        e.preventDefault();
    });


    $('.btn.estimate-images-link').on('click',function(e) {
        sirvEstimateImages();
        e.preventDefault();
    });

    if (sirv_data_estimated == 0) {
        sirvEstimateImages();
    }

    $('.btn.analyze-images-link-delete').on('click',function(e) {
        var $data = $('.analyze-images-link').data();
        $data.delete = 1;
        $data.offset = 0;
        sirvAnalyzeImages($data);
        e.preventDefault();
    });

    initShowAPILink();

    if (typeof sirv_text_test_connection != 'undefined') {
        $('#SIRV_S3_SECRET_KEY').after('<button type="button" class="btn btn-primary" id="testConnection">'+sirv_text_test_connection+'</button>')
    }

    $('.dismiss-link').on('click', function(e){
        $.ajax({
            data: {
                ajax: true,
                action: 'SirvDismissReviewBlock'
            },
            url: sirv_module_dir,
            type: "GET",
            //dataType: "json",
            success: function(data) {
                $('.review-block').remove();
            },
            error: function() {
            }
        });
        e.preventDefault();
    })

    $('.show-failed-images').on('click', function(e){
        $('.failed_images .processing-circle').show();
        $('.show-failed-images').hide();
        $.ajax({
            data: {
                ajax: true,
                action: 'SirvGetFailedImagesList'
            },
            url: sirv_module_dir,
            type: "GET",
            dataType: "json",
            success: function(data) {
                $('.failed-images-list').show().html('');
                for(var i in data) {
                    $('.failed-images-list').append('<a target="_blank" href="'+sirv_base_url+data[i].p+'">'+data[i].p+'</a> - '+ data[i].m +'<br/>');
                }
                $('.failed_images .processing-circle').hide();
            },
            error: function() {
            }
        });
        e.preventDefault();
    })

    $('.show-failed-images-csv').on('click', function(e){

        document.location = sirv_module_dir+'&ajax=true&action=SirvGetFailedImagesListDownload';

        e.preventDefault();
    })

    $('.show-failed-images-html').on('click', function(e){

        var win = window.open(sirv_module_dir+'&ajax=true&action=SirvGetFailedImagesListHTML', '_blank');
        win.focus();

        e.preventDefault();
    })

    function updateStorageInfo() {
        $('.refresh-storage-info').closest('div.panel').addClass('loading-block')
        $.ajax({
            data: {
                ajax: true,
                storageInfoShowAPI: 1-$('.show-api-usage').length,
                action: 'SirvRefreshStorageInfo'
            },
            url: sirv_module_dir,
            type: "GET",
            dataType: "json",
            complete: function(data) {

                $('.refresh-storage-info').closest('div.panel').removeClass('loading-block').find('.row').first().replaceWith(
                    $(data.responseText).find('.refresh-storage-info').closest('.row').prev()
                )
                $('.refresh-storage-info').closest('.help-block').html( $(data.responseText).find('.refresh-storage-info').closest('.help-block').html() );

                initShowAPILink();
                
                $('.refresh-storage-info').on('click', function(e){
                    updateStorageInfo();
                    e.preventDefault();
                })                
            },
            error: function() {
            }
        });        
    }

    $('[name="SIRV_IMAGES_LAZYLOAD"]').on('change', function(){
        if ( $('[name="SIRV_IMAGES_LAZYLOAD"]:checked').val() == 1) {
            $('#SIRV_SIRVJSCOMPONENTS_lazyimage').prop('checked', true).trigger('change');
        } else {
            //$('#SIRV_SIRVJSCOMPONENTS_lazyimage').prop('checked', false).prop('disabled', false).trigger('change');
        }
    })
    $('[name="SIRV_IMAGES_LAZYLOAD"]').trigger('change');

    $('.refresh-storage-info').on('click', function(e){
        updateStorageInfo();
        e.preventDefault();
    })

    $('[name="SIRV_FOLDER"]').keyup(function(e) {
        if (e.keyCode == 13) {
            $(this).next('button').trigger('click');
            e.preventDefault();
        }
    });

    $('#testConnection').on('click',function(e) {

        $('#testConnection').closest('div').find('b.sync-images-button-holder').remove();
        $('.connection-test-msg').remove();

        $('#testConnection').after('<b class="sync-images-button-holder syncing"></b>');
        $.ajax({
            data: {
                s3_bucket : $('#SIRV_S3_BUCKET').val(),
                s3_access_key : $('#SIRV_S3_ACCESS_KEY').val(),
                s3_secret_key : $('#SIRV_S3_SECRET_KEY').val(),
                ajax: true,
                action: 'SirvCheckConnection'
            },
            url: sirv_module_dir,
            type: "GET",
            dataType: "json",
            success: function(data) {
                if (data && typeof data.message != 'undefined') {
                    $('#testConnection').closest('div').find('b.sync-images-button-holder').replaceWith(data.message);
                    $('.connection-test-msg').delay(5000).animate({opacity:0},1000,function(){ $(this).remove(); })
                } else {
                    $('#testConnection').closest('div').find('b.sync-images-button-holder').remove();
                }
            },
            error: function() {
                $('#testConnection').closest('div').find('b.sync-images-button-holder').remove();
            }
        });
        e.preventDefault();
    });

    $('.disconnect-account').on('click', function(e){
        if (confirm("Are you sure you want to disconnect account?")) {
            document.location = sirv_module_url + '&sirv_disconnect_user=1';
        }
        e.preventDefault();
    });

    $('.connect-sirv-account').on('submit', function(e){
        e.preventDefault();
    })

    $otpRequires = false;

    $('ps-input-text[name="sirv_otp"] input[type="text"]').on('keyup change', function(){
        if (/^[0-9]{6}$/.test($(this).val())) {
            //$('.connect-account').trigger('click');            
        }
    })

    $('.connect-account').on('click', function(e){

        e.preventDefault();

        if ($('select[name="sirv_account"]').val() == '' && $('select[name="sirv_account"] option').length) {
            show_error('Please select account.', 'connect-sirv-account');
            e.preventDefault();
            return;
        }

        if ($.trim($('input[name="sirv_email"]').val()) == '' ) {
            show_error('Please specify email.', 'connect-sirv-account');
            e.preventDefault();
            return;
        }
        if ($.trim($('input[name="sirv_password"]').val()) == '' ) {
            show_error('Please specify password.', 'connect-sirv-account');
            e.preventDefault();
            return;
        }
        if (!$('#existing_account_on').prop('checked')) {
            // if ($.trim($('input[name="sirv_password"]').val()) != $.trim($('input[name="sirv_password_confirm"]').val()) ) {
            //     show_error('Password does not match.', 'connect-sirv-account');
            //     e.preventDefault();
            //     return;
            // }
            if ($.trim($('input[name="sirv_firstName"]').val()) == '' ) {
                show_error('Please specify your name.', 'connect-sirv-account');
                e.preventDefault();
                return;
            }
            // if ($.trim($('input[name="sirv_lastName"]').val()) == '' ) {
            //     show_error('Please specify Last Name.', 'connect-sirv-account');
            //     e.preventDefault();
            //     return;
            // }
            if ($.trim($('input[name="sirv_alias"]').val()) == '' ) {
                show_error('Please specify Account Name.', 'connect-sirv-account');
                e.preventDefault();
                return;
            }


        } else {
            if ($otpRequires) {
                if ($.trim($('input[name="sirv_otp"]').val()) == '') {
                    show_error('Please specify OTP code.', 'connect-sirv-account');
                    return;
                }

                if (!/[0-9]{6}/.test($.trim($('input[name="sirv_otp"]').val())) ) {
                    show_error('OTP code should contain 6 digits.', 'connect-sirv-account');
                    return;
                }            
            }
        }

        $("form.connect-sirv-account").prop('disabled','true').addClass('loading-block');
        var $data = $("form.connect-sirv-account").serialize();

        $data += '&' + $.param( { ajax: true, action: 'SirvInitAccount', createAccount: (!$('select[name="sirv_account"]').is(":visible"))?1:0 } );

        hide_error('connect-sirv-account');
        
        $.ajax({
            data: $data,
            url: sirv_module_dir,
            type: "POST",
            dataType: "json",
            complete: function() {
                $("form.connect-sirv-account").prop('disabled','false').removeClass('loading-block');
            },
            error: function() {
                show_error('An error occurred.', 'connect-sirv-account');
                resetConnectForm();
            },
            success: function(data) {


                if (data && data.error && data.error.indexOf('SIRV')!=-1) {
                    data.error = $('#'+data.error).html();
                } else if (data && data.error) {
                    data.error = sirv_decodeHtml(data.error);
                }
                

                if (typeof data != 'undefined' && typeof data.connected != 'undefined') {
                    setTimeout(function(){$("form.connect-sirv-account").prop('disabled','true').addClass('loading-block');},0);
                    setTimeout(function(){document.location = sirv_module_url;},200);
                } else if (typeof data != 'undefined' && typeof data.error != 'undefined') {
                    resetConnectForm(false);
                    show_error('' + data.error, 'connect-sirv-account');
                } else if (typeof data != 'undefined' && typeof data.otprequires != 'undefined') {
                    $otpRequires = true;
                    $('ps-input-text[name="sirv_email"],ps-input-text[name="sirv_password"],ps-password[name="sirv_password"]').hide();
                    $('ps-input-text[name="sirv_otp"]').show();
                } else if (typeof data != 'undefined' && typeof data.users != 'undefined') {

                    $('select[name="sirv_account"]').html('').closest('ps-select').show();
                    $('ps-switch[name="existing_account"],ps-input-text[name="sirv_email"],ps-input-text[name="sirv_otp"],ps-password[name="sirv_password"], ps-input-text[name="sirv_firstName"], .sirv_terms, ps-input-text[name="sirv_lastName"], ps-input-text[name="sirv_alias"]').hide();
                    $('select[name="sirv_account"]').append('<option value="">-</option>');

                    var $disabledAccounts = [], $activeN = 0;

                    for (var i in data.users) {
                        var $user = data.users[i];
                        if ($user.role == 'owner' || $user.role == 'primaryOwner' || $user.role == 'admin') {
                            $('select[name="sirv_account"]').append('<option value="' + $user.token + '">' + $user.alias + '</option>');
                            $activeN++;
                        } else {
                            $disabledAccounts.push($user);
                        }
                    }
                    if ($disabledAccounts.length) {
                        $('select[name="sirv_account"]').append('<option disabled>-------------</option>');
                        $('select[name="sirv_account"]').append('<option disabled>Accounts with an insufficient role</option>');
                        $disabledAccounts.forEach(function($user){
                            $('select[name="sirv_account"]').append('<option disabled>' + $user.alias + ' (' + $user.role.capitalize() + ')</option>');
                        })
                    }
                    if ($activeN == 1) {
                        $("form.connect-sirv-account").prop('disabled','true').addClass('loading-block');
                        $('select[name="sirv_account"] option').last().prop('selected','true').closest('select').trigger('change');
                        $('.connect-account').trigger('click');
                    }







                }
            }
        });

        e.preventDefault();
    })
});


Object.defineProperty(String.prototype, 'capitalize', {
    value: function() {
        return this.charAt(0).toUpperCase() + this.slice(1);
    },
    enumerable: false
});