/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Sirv Limited <support@sirv.com>
 *  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
 *  @license   https://www.magictoolbox.com/license/
 */

function mtDefer(method) {
    if (window.jQuery) {
        method();
    } else {
        setTimeout(function() { mtDefer(method) }, 50);
    }
}

function sirv_a_length($arr) {
    return (typeof $arr == 'undefined') ? 0 : ( (typeof $arr == 'number') ? $arr : Object.keys($arr).length );
}

var $sirv_combination_images, $sirv_combination_images_first, $sirv_combination_urls, $sirv_mode;

mtDefer(function() {

    function filterViewerImages($defaultCombination_id) {
        var $default_slide = false;
        if ($defaultCombination_id != '') {
            $('.SirvContainer .Sirv div[data-id]').each(function(index) {
                var $is_in_combination = typeof $sirv_combination_images[$defaultCombination_id] != 'undefined' && typeof $sirv_combination_images[$defaultCombination_id][$(this).data('id')] != 'undefined';
                if (
                    typeof $sirv_combination_images[$defaultCombination_id] == 'undefined' && typeof $(this).attr('combination_id') == 'undefined' ||
                    $is_in_combination ||
                    $sirv_mode == 'ALL'
                ) {
                    if (!$default_slide && $is_in_combination) {
                        $default_slide = true;
                        $('.SirvContainer .Sirv').attr('data-options', $('.SirvContainer .Sirv').attr('data-options').replace(/slide\.first:[0-9]{1,}/gmi,'slide.first:' + index) )
                    } 
                    $(this).removeAttr('data-disabled');
                } else {
                    $(this).attr('data-disabled', '');
                }
            });
            $('.SirvContainer').data('combination-id', $defaultCombination_id);

        }
    }


    function refreshViewerImages($a_id) {

        if ($('.SirvContainer').data('combination-id') == $a_id) {
            return;
        }

        $('.SirvContainer').data('combination-id', $a_id);

        var $instance = Sirv.viewer.getInstance('#sirv-gallery');

        if ($instance == null) {
            filterViewerImages($a_id);
            return;
        }

        if ($sirv_mode == 'SPECIFIC') {
            if (sirv_a_length($sirv_combination_images[$a_id])) {
                for (var i = 0; i < $instance.itemsCount(); i++) {
                    $instance.disableItem(i);
                }
                for (var $id in $sirv_combination_images[$a_id]) {
                    $instance.enableItem('' + $id);
                }
            } else {
                for (var i = 0; i < $instance.itemsCount(); i++) {
                    var $sirv_elm = $('[data-sirv-item-id=' + i + ']');
                    if (typeof $sirv_elm.attr('combination_id') == 'undefined') {
                        $instance.enableItem(i);
                    } else {
                        $instance.disableItem(i);
                    }
                }
            }
        }

        if ($sirv_mode == 'SPECIFIC') {
            var $items = $instance.items();
            for (var $i in $items) {
                if (!$items[$i].isDisabled()) {
                    $instance.jump($items[$i].index);
                    return;
                }
            }
        } else if (typeof $sirv_combination_images_first != 'undefined' && sirv_a_length($sirv_combination_images_first[$a_id])) {
            $instance.jump('' + $sirv_combination_images_first[$a_id]);
        }



    }

    $(document).ready(function($) {


        $sirv_combination_images = $('.SirvContainer').data('combination-images');
        $sirv_combination_images_first = $('.SirvContainer').data('combination-images-first');
        $sirv_combination_urls = $('.SirvContainer').data('combination-urls');
        $sirv_mode = $('.SirvContainer').data('mode');

        var $defaultCombination_id = '';

        if (sirv_a_length($sirv_combination_urls)) {
            $defaultCombination_id = $sirv_combination_urls[Object.keys($sirv_combination_urls)/*.sort()*/[0]].id;
        }

        var $hash = document.location.hash.replace('#', '').split('/').sort().join('/');

        for (var $url in $sirv_combination_urls) {
            if ($hash == $url) {
                $defaultCombination_id = $sirv_combination_urls[$url].id;
            }
        }

        if ($sirv_mode == 'SPECIFIC') {
            filterViewerImages($defaultCombination_id);
        } else {
            refreshViewerImages($defaultCombination_id);
        }

        Sirv.start($('.SirvContainer .Sirv').get(0));

        if ($('.SirvContainer').data('is-prestashop17')) {

            prestashop.on('updatedProduct', function(resp) {
                refreshViewerImages(resp.id_product_attribute);
            });

        } else {

            window['refreshProductImagesOriginal'] = window['refreshProductImages'];
            window['refreshProductImages'] = function(id_product_attribute) {


                refreshViewerImages(parseInt(id_product_attribute));

                return window['refreshProductImagesOriginal'].apply(window, arguments);
            }

        }

        // $.ajax({
        //     data: {
        //         ajax: true,
        //         action: 'sirvRefreshViewsCache',
        //         id: $('.SirvContainer').data('product-id')
        //     },
        //     url: $('.SirvContainer').data('ajax-url'),
        //     type: "GET",
        //     dataType: "json",
        //     async: true,
        //     success: function($data) {
        //     }
        // });

    });
});