{*
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*}

<div class="row main-sirv-holder">
	<div class="sirvTabs col-lg-2 col-md-3">
	    <div class="list-group">
			<a class="list-group-item{if $defaultTab == 'fieldset_0'} active{/if}" href="#" data-content-id="fieldset_0">
				{if $moduleStatus }
					<i class="icon-enable-sirv"></i>
				{else}
					<i class="icon-disable-sirv"></i>
				{/if}
				{l s='Enable' mod='sirv'}
			</a>
			<a class="list-group-item{if $defaultTab == 'fieldset_3_3,fieldset_2_2,fieldset_1_1,fieldset_8_8,fieldset_10_10'} active{/if}" href="#" data-content-id="fieldset_3_3,fieldset_2_2,fieldset_1_1,fieldset_8_8,fieldset_10_10">{l s='Optimisation' mod='sirv'}</a>
			<a class="list-group-item{if $defaultTab == 'fieldset_4_4,fieldset_5_5,fieldset_6_6,fieldset_7_7'} active{/if}" href="#" data-content-id="fieldset_4_4,fieldset_5_5,fieldset_6_6,fieldset_7_7">{l s='Product gallery' mod='sirv'}</a>
			<a class="list-group-item{if $defaultTab == 'fieldset_image_synchronisation'} active{/if}" href="#" data-content-id="fieldset_image_synchronisation,fieldset_image_cache,fieldset_estimate,fieldset_synchronization_folder,fieldset_cleanup,fieldset_9_9,fieldset_http_authentication">{l s='Synchronisation' mod='sirv'}</a>
			<a class="list-group-item{if $defaultTab == 'fieldset_your_account'} active{/if}" href="#" data-content-id="fieldset_your_account">{l s='Your account' mod='sirv'}</a>
			<a class="list-group-item{if $defaultTab == 'fieldset_stats'} active{/if}" href="#" data-content-id="fieldset_stats">{l s='Stats' mod='sirv'}</a>
			<a class="list-group-item{if $defaultTab == 'fieldset_feedback'} active{/if}" href="#" data-content-id="fieldset_feedback">{l s='Feedback' mod='sirv'}</a>
	    </div>
	    <p class="version-string"><a href="#" class="show-changelog">{$versionString|escape:'html':'UTF-8'}</a></p>
	</div>
	<div class="sirvTabsContent col-lg-10 col-md-9">
		{$content}
	</div>
</div>

<div style="display:none" class="text-helper">
	<div data-panel-text="fieldset_5_5">
		<p class="panel-subtext">{l s='Use the beautiful %sSirv Media Viewer%s as your product image gallery.' sprintf=["<a href='https://sirv.com/help/articles/sirv-media-viewer/' target='_blank'>","</a>"] js="true"  mod='sirv' }</p>
	</div>
	<div data-panel-text="fieldset_6_6">
		<p class="panel-subtext">
			{l s='Easily add images, videos and 360 spins to your gallery - simply upload them to your Sirv account, in folders named after your product SKUs or IDs.' js="true"  mod='sirv' }
			<br/><br/>
			{l s='Upload files at %smy.sirv.com%s or by ' sprintf=["<a href='https://my.sirv.com/' target='_blank'>","</a>"] js="true"  mod='sirv' } <a href='https://my.sirv.com/#/account/settings/api' target='_blank'>FTP</a>.
		</p>
	</div>
	<div data-panel-text="fieldset_4_4">
		<p class="panel-subtext">
			{l s='Go to the %sSirv Media Viewer designer%s to create the perfect experience for your store.' sprintf=["<a href='https://sirv.com/help/viewer/' target='_blank'>","</a>"] js="true"  mod='sirv' }
		</p>
	</div>
	<div data-panel-text="fieldset_8_8">
		<p class="panel-subtext">
			{l s='Improve optimization by serving a smaller JS file, containing only the features you need.'  mod='sirv' }
		</p>
	</div>
	
	<div data-prepend-text="#SIRV_EXCLUDEFILES">
		<p class="above-control">{l s='Files that should not served by Sirv' js="true"  mod='sirv' }:</p>
	</div>
	<div data-prepend-text="#SIRV_EXCLUDEFILES_FROM_LAZY">
		<p class="above-control">{l s='Images that should not be lazy loaded' js="true"  mod='sirv' }:</p>
	</div>
	<div data-prepend-text="#SIRV_EXCLUDEPAGES">
		<p class="above-control">{l s='Web pages that should not have files served by Sirv' js="true"  mod='sirv' }:</p>
	</div>

	<div data-prepend-text="#SIRV_SMVOPTIONS">
		<p class="above-control">{l s='Paste code from the "Script" tab' js="true"  mod='sirv' }:</p>
	</div>

	<div data-prepend-text="#SIRV_SMVCSS">
		<p class="above-control">{l s='Paste &lt;style&gt; code from the "Inline" tab' js="true"  mod='sirv' }:</p>
	</div>

	<div class="analyze-library-block">
		<p style="display:block;"><a href="#" class="btn btn-primary btn-sm analyze-images-link">{l s='Analyse my images' mod='sirv'}</a></p>
		<p class="analyze-progress"><b class="processing-circle"></b> {l s='Analysing..' mod='sirv'} <span>0%</span></p>
		<p class="analyze-info">
			{l s='Total PrestaShop thumbnails' mod='sirv'}: <span class="analyze-image-total-size">0 Kb</span>  (<span class="analyze-image-total-images">0</span> {l s='images' mod='sirv'})
			<br/>
			{l s='Thumbnails you can clean up' mod='sirv'}: <span class="analyze-image-delete-size">O Kb</span>  (<span class="analyze-image-delete-images">0</span> {l s='images' mod='sirv'})
		</p>
		<p><a href="#" class="btn btn-primary btn-sm analyze-images-link-delete">{l s='Clean up' mod='sirv'}</a></p>
		<p class="analyze-progress-delete"><b class="processing-circle"></b> {l s='Cleaning up..' mod='sirv'} <span>0%</span> (<i>-</i>)</p>
	</div>

	<div class="delete-old-files">
		<div class="cleanup-library-block">
			<p style="display:block;"><a href="#" class="btn btn-primary btn-sm cleanup-images-link">{l s='Analyse my files' mod='sirv'}</a></p>
			<p class="cleanup-progress"><b class="processing-circle"></b> {l s='Analysing..' mod='sirv'} </p>
			<p class="cleanup-info">
				{l s='Files you can delete from Sirv' mod='sirv'}: <span class="cleanup-image-delete-size">O Kb</span>  (<span class="cleanup-image-delete-images">0</span> {l s='files' mod='sirv'})
			</p>
			<p><a href="#" class="btn btn-primary btn-sm cleanup-images-link-delete">{l s='Clean up' mod='sirv'}</a></p>
			<p class="cleanup-progress-delete"><b class="processing-circle"></b> {l s='Cleaning up..' mod='sirv'} <span>0%</span> (<i>-</i>)</p>
		</div>
	</div>

	<script>
		var sirv_text_product_image_size = "{l s='Product image size' mod='sirv'}";
		var sirv_text_file_size = "{l s='File size' mod='sirv'}";
	</script>

</div>