{*
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*}

	
	<div id="empty-sirv-content-cache" style="display:none;">
		
		<div class="form-group">
		    <div class="col-lg-12">
		    	<hr/>
		    	<p>{l s='Content is cached, for speed. If content is missing from your gallery, clear the cache.' mod='sirv'}</p>
		    </div>
		    <label class="control-label col-lg-3">
		        {l s='Empty Sirv content cache' mod='sirv'}
		    </label>
		    <div class="col-lg-9">
		    	<div class="row">
			    	<div class="pull-left">
				        <div class="radio">
				            <label><input type="radio" name="empty-sirv-cache-method" value="ALL" checked="checked">{l s='All files' mod='sirv'} (<span class="info-viewsCacheAll">{$viewsCacheAll|intval}</span>)</label>
				        </div>
				        <!-- 
				        <div class="radio">
				            <label><input type="radio" name="empty-sirv-cache-method" value="EMPTY">{l s='Empty files' mod='sirv'}</label>
				        </div>
				        -->
				        <div class="radio">
				            <label><input type="radio" name="empty-sirv-cache-method" value="FAILED">{l s='Products without Sirv content' mod='sirv'} (<span class="info-viewsCacheMissed">{$viewsCacheMissed|intval}</span>)</label>
				        </div>
				    </div>
					<div class="pull-left refresh-view-cache-block">
					        <br/>
					        <button type="button" class="btn btn-sm btn-primary pull-left btn-empty-sirv-content-cache" name="">Empty cache</button>
					        <b class="processing-circle" id="empty-sirv-content-cache-loader" style="display:none; vertical-align:inherit;"></b>
					</div>
				</div>
		    </div>
		</div>
	</div>
	


<ps-panel header="{l s='Image synchronisation' mod='sirv'}" id="fieldset_image_synchronisation">

	<p>{l s='New images are copied to your Sirv account upon first request, usually 1-2 seconds per image. It\'s also possible to pre-sync images below.' mod='sirv'}</p>
	

	
	<form class="form-horizontal sync-images" action="{$sirv_form_action|escape:'html':'UTF-8'}" method="post" enctype="multipart/form-data" autocomplete="off">
	    
			


			<table class="form-control-static progress-table" style="width:100%">
				<tr>
					<td style="width:100%;">
						<div class="progress-top-legend">
							<b><span class="total-percent-progress">{$totalPercentProgress|floatval}</span>%</b>
							<b>
								<span class="synced-and-failed">{$totalSyncedAndFailed|intval}</span>
								out of
								<span class="total-images-count">{$cacheInfo['total_count']|intval}</span>
								<span>{l s='items completed' mod='sirv'}</span>
							</b>
						</div>
						<div class="progress sirv-progress">
							<div class="progress-bar synced" style="width:{$progress|floatval}%"></div>
							<div class="progress-bar failed" style="width:{$progress_failed|floatval}%"></div>
							<div class="progress-bar processing" style="width:{$progress_processing|floatval}%"></div>
						</div>
					</td>
					{if $cacheInfo['q']==0 || $cacheInfo['q'] < $cacheInfo['total_count']}
					<td class="nowrap" colspan="3">
						<span class="sync-images-button-holder">
	    					<button type="button" class="btn btn-primary btn-sm sync-images">{l s='Sync images' mod='sirv'}</button>
	    					<b></b>
	    				</span>
	    			</td>
	    			{/if}
	    		</tr>
	    		<tr>
	    			<td colspan="2">
	    				<table class="progress-legend-table">
	    					<tr>
	    						<td><span class="progress-legend synced"></span></td>
	    						<td><b>{l s='Synced images' mod='sirv'}</b></td>
	    						<td style="padding-right:20px">
	    							<span class="progress_synced">{$cacheInfo['q']|intval}</span>
	    						</td>
	    						<td>
	    							<span title="{l s='Total size' mod='sirv'}" class="progress_size_s">{$cacheInfo['size_s']|escape:'html':'UTF-8'}</span>
	    						</td>
	    					</tr>
	    					<tr>
	    						<td><span class="progress-legend processing"></span></td>
	    						<td><b>{l s='Queued images' mod='sirv'}</b></td>
	    						<td>
	    							<span class="progress_processing">{$cacheInfo['PROCESSING']['count']|intval}</span>
	    						</td>
	    						<td></td>
	    					</tr>
	    					<tr>
	    						<td><span class="progress-legend failed"></span></td>
	    						<td><b>{l s='Failed images' mod='sirv'}</b></td>
	    						<td>
	    							<span class="progress_failed">{$cacheInfo['FAILED']['count']|intval}</span>
	    						</td>
	    						<td>
	    							<span class="failed-report-links" {if $cacheInfo['FAILED']['count'] == 0}style="display:none"{/if}>
		    							<a target="_blank" href="#" class="show-failed-images-html">{l s='View report' mod='sirv'}</a> - 
		    							<a href="#" class="show-failed-images-csv">{l s='Download CSV' mod='sirv'}</a>
	    							</span>
	    						</td>
	    					</tr>
	    				

	    					{if $cacheInfo['total_count'] > 0}
		    					<tr>
		    						<td colspan="4"><hr/></td>
		    					</tr>
		    					<tr>
		    						<td><span class="progress-legend total"></span></td>
		    						<td><b>{l s='Total images' mod='sirv'}</b></td>
		    						<td>
		    							<span class="total-images-count">{$cacheInfo['total_count']|intval}</span>	    							
		    						</td>
	    							<td></td>
		    					</tr>
		    					{foreach from=$cacheInfo['total_by_type_text'] key=label item=limit}
			    					<tr>
			    						<td></td>
			    						<td>{$label}</td>
			    						<td>
			    							<span class="total_by_type-{$label}">{$cacheInfo['total_by_type_text'][$label]}</span>	    							
			    						</td>
	    							<td></td>
			    					</tr>
		    					{/foreach}

	    					


	    					{/if}

	    				</table>
	    			</td>
	    		</tr>
	    	</table>

	    	<p class="sirv-browser-alert">
	    		{l s='Please keep this page open until synchronisation reaches 100%. It can sync up to 2000 images per hour.' mod='sirv'}<br/>
	    		{l s='If sync stops, refresh this page and try again.' mod='sirv'}<br/>	    		
	    	</p>





	</form>

</ps-panel>

<div id="fieldset_image_cache_holder" {if $cacheInfo['size_s'] == 0 && $cacheInfo['FAILED']['count'] == 0 }style="display:none"{/if}>

<ps-panel header="{l s='Image cache' mod='sirv'}" id="fieldset_image_cache">
	
	<form class="form-horizontal sync-images" action="{$sirv_form_action|escape:'html':'UTF-8'}" method="post" enctype="multipart/form-data" autocomplete="off">
		<div id="clear_cache_block" >
		
			<ps-radios label="{l s='Empty cache' mod='sirv'}">
				<p class="pull-left">
					<ps-radio name="sirv_cleanupcache" value="failed" checked="true">{l s='Failed' mod='sirv'} - {l s='clear cache of failed images' mod='sirv'} (<span class="progress_failed">{$cacheInfo['FAILED']['count']|intval}</span>)</ps-radio>
					<ps-radio name="sirv_cleanupcache" value="quick">{l s='All' mod='sirv'} - {l s='clear cache of all images' mod='sirv'} (<span class="progress_synced">{{$cacheInfo['q']|intval}}</span>)</ps-radio>
					<!-- <ps-radio name="sirv_cleanupcache" value="full"><b>{l s='Master' mod='sirv'}</b> - {l s='empty cache and delete images from your Sirv account. Not recommended.' mod='sirv'}</ps-radio> -->
				</p>


				<p class="pull-left clear-cache-btn-block">
					<br/><button type="submit" class="btn btn-primary pull-left" name="cleanUpCache">{l s='Empty cache' mod='sirv'}</button>
				</p>
			</ps-radios>
		</div>
	</form>	

</ps-panel>

</div>


<div id="fieldset_estimate_holder" {if $cacheInfo['total_count'] == 0 }style="display:none"{/if}>

<ps-panel header="{l s='Estimate storage size' mod='sirv'}" id="fieldset_estimate">
	
	
	<div class="estimate-library-block">
		<p style="display:{if (empty($sirv_estimate_data))}block{else}none{/if};"><a href="#" class="btn btn-primary btn-sm estimate-images-link">{l s='Analyse product images' mod='sirv'}</a></p>
		<p class="estimate-progress"><b class="processing-circle"></b> {l s='Analysing..' mod='sirv'} <span>0%</span></p>
		<p class="estimate-info" {if (!empty($sirv_estimate_data))}style="display:block"{/if}>
			<span class="estimate-image-total-size">{if (empty($sirv_estimate_data))}0 Kb{else}{$sirv_estimate_data['total_size_text']}{/if}</span>  (<span class="estimate-image-total-images">{if (empty($sirv_estimate_data))}0{else}{$sirv_estimate_data['total_images']}{/if}</span> {l s='images' mod='sirv'})
			<a href="#" class="btn btn-primary btn-sm estimate-images-link">{l s='Recalculate' mod='sirv'}</a>
		</p>
		<p class="help-block" style="display:block;">{l s='Estimate how much storage you need on Sirv' mod='sirv'}.</p>
	</div>


</ps-panel>

</div>

<ps-panel header="{l s='Synchronization folder' mod='sirv'}" id="fieldset_synchronization_folder">
	<form class="defaultForm form-horizontal">
		<div class="form-wrapper">
			<div class="form-group">
			    <label class="control-label col-lg-3">
			        {l s='Folder name on Sirv' mod='sirv'}
			    </label>
			    <div class="col-lg-9">	        
			        <input type="text" name="SIRV_FOLDER" id="SIRV_FOLDER" value="{$sirv_folder}" class="" size="20"/>
			        <p class="help-block">
			        	{l s='Images are copied into this folder of your Sirv account' mod='sirv'}.<br/>
			            {l s='To use the same Sirv account on multiple PrestaShop sites, use a different folder name for each site.' mod='sirv'}
			        </p>
			    </div>
			</div>
		</div>
	</form>	
</ps-panel>


{*
<ps-panel header="{l s='Delete old files from Sirv' mod='sirv'}" id="fieldset_cleanup">
	<form class="defaultForm form-horizontal">
		<div class="form-wrapper">
			<div class="form-group">
			    <div class="col-lg-12">  
					<div class="cleanup-library-block">
						<p style="display:block;"><a href="#" class="btn btn-primary btn-sm cleanup-images-link">{l s='Analyse my images' mod='sirv'}</a></p>
						<p class="cleanup-progress"><b class="processing-circle"></b> {l s='Analysing..' mod='sirv'} <span>0%</span></p>
						<p class="cleanup-info">
							{l s='Images you can delete from Sirv' mod='sirv'}: <span class="cleanup-image-delete-size">O Kb</span>  (<span class="cleanup-image-delete-images">0</span> {l s='images' mod='sirv'})							
						</p>
						<p><a href="#" class="btn btn-primary btn-sm cleanup-images-link-delete">{l s='Clean up' mod='sirv'}</a></p>
						<p class="cleanup-progress-delete"><b class="processing-circle"></b> {l s='Cleaning up..' mod='sirv'} <span>0%</span> (<i>-</i>)</p>
					</div>
			    </div>
			</div>
		</div>
	</form>	
</ps-panel>
*}

<ps-panel header="{l s='HTTP authentication' mod='sirv'}" id="fieldset_http_authentication">

	<p>{l s='If your website uses http authentication protection, please specify username and password so Sirv can successfully fetch images.' mod='sirv'}</p>

	<form class="form-horizontal sync-images" action="{$sirv_form_action|escape:'html':'UTF-8'}" method="post" enctype="multipart/form-data" autocomplete="off">
		<input type="hidden" name="http_authentication" value="1"/>
		<div class="form-wrapper">
			
		</div>
	</form>	
</ps-panel>
