{*
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*}

<ps-panel header="{l s='Sirv account' mod='sirv'}">

	<form class="form-horizontal connect-sirv-account">
		
		<ps-switch on-switch="change_existing_account" name="existing_account" label="{l s='I already have Sirv account' mod='sirv'}" yes="Yes" no="No" active="true"></ps-switch>

		<hr/><br/>

		<ps-form-group label="">
			<h3>{l s='Connect your Sirv account' mod='sirv'}</h3>
		</ps-form-group>

		<ps-input-text name="sirv_email" label="{l s='Email' mod='sirv'}" size="20" value="" required-input="true"></ps-input-text>

		
		<ps-password name="sirv_password" label="{l s='Password' mod='sirv'}" size="20" type="password" value="" required-input="true"></ps-password>

		<ps-input-text name="sirv_otp" label="{l s='6-digit code' mod='sirv'}" size="20" value="" required-input="true"></ps-input-text>

		<ps-input-text name="sirv_firstName" label="{l s='First and last name' mod='sirv'}" size="20" value="" required-input="true"></ps-input-text>
		
		
		<ps-input-text name="sirv_alias" label="{l s='Account name' mod='sirv'}" value="{$default_account_name|escape:'html':'UTF-8'}" size="20" value="" required-input="true"></ps-input-text>
	
		<ps-select label="Select account" name="sirv_account" chosen='true' required-input="true">			
		</ps-select>

		<ps-form-group label="">			
			<button type="submit" class="btn btn-primary save connect-account">{l s='Connect account' mod='sirv'}</button>
			<p class="sirv_terms">
				{l s='No credit card needed.' mod='sirv'}<br/>
				{l s='Enjoy free 5GB storage & 20GB transfer for 30 days. Then choose a' mod='sirv'} <a href="https://sirv.com/pricing/" target="_blank">{l s='free or paid plan' mod='sirv'}</a>.<br/>
				{l s='By signing up, you agree to our' mod='sirv'} <a href="https://sirv.com/terms/" target="_blank">{l s='Terms of Service' mod='sirv'}</a>.</p>
		</ps-form-group>

	</form>

</ps-panel>

<script>
var sirv_text_connect_to_account = "{l s='Connect your Sirv account' mod='sirv'}",
sirv_text_connect_account = "{l s='Connect account' mod='sirv'}",
sirv_text_get_started = "{l s='Get started' mod='sirv'}",
sirv_text_create_account = "{l s='Create your free Sirv account' mod='sirv'}",
sirv_text_test_connection = "{l s='Test connection' mod='sirv'}",
sirv_text_choose_a_name = "{l s='Choose a name that suits your business. At least 6 letters (or numbers), no spaces.' mod='sirv'}";
</script>

<div style="display:none">
	<div id="SIRV_MSG1">{l s='That email or password is incorrect. Please check and try again. ' mod='sirv'}<br/><a href="https://my.sirv.com/#/password/forgot" target="_blank">{l s='Forgot your password' mod='sirv'}</a>?</div>
	<div id="SIRV_MSG2">{l s='Sirv user' mod='sirv'} {l s='does not have' mod='sirv'} <a href="https://sirv.com/help/articles/users-roles-permissions/" target="_blank">{l s='permission' mod='sirv'}</a> {l s='to connect' mod='sirv'}.<br/>{l s='Your role must be either Admin or Owner' mod='sirv'}.</div>
</div>