{*
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*}

<!-- sirv -->
{if $legacy_template}
<style>
#sirv-template {
    display: none;
}
.sirv-settings {
    width: 100%;
}
.sirv-settings td {
    text-align: center;
}
.sirv-settings .error {
    text-align: left;
}
.sirv-settings fieldset {
    border: none;
}
.sirv-settings textarea {
    margin: 0;
    width: 99% !important;
}
.sirv-settings p {
    text-align: left;
}
</style>
<div id="sirv-template">
    <table class="sirv-settings" cellpadding="5">
        {if isset($sirv_invalid_urls)}
        <tr>
            <td>
                <div class="error">
                    <img src="../img/admin/error2.png" />
                    {l s='"Product Videos" value contains incorrect urls:' mod='sirv'}
                    <ol>
                        {foreach from=$sirv_invalid_urls item=url}
                            <li>{$url|escape:'html':'UTF-8'}</li>
                        {/foreach}
                    </ol>
                </div>
            </td>
        </tr>
        {/if}
        <tr>
            <td>
                <fieldset>
                    <legend>Product Videos</legend>
                    <textarea name="sirv_video" rows="10" cols="45">{if isset($sirv_textarea)}{$sirv_textarea|escape:'html':'UTF-8'}{/if}</textarea>
                    <p>{l s='Provide links to video separated by a space or new line' mod='sirv'}</p>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <input type="submit" value="{l s='Save' mod='sirv'}" name="submitAddproduct" class="button" />&nbsp;
                <input type="submit" value="{l s='Save and stay' mod='sirv'}" name="submitAddproductAndStay" class="button" />
            </td>
        </tr>
    </table>
</div>
<script type="text/javascript">
//<![CDATA[
    var mtTabNumber = $('.tab-page').length + 1;
    $('.tab-page:last').after(
        '<div class="tab-page" id="step'+mtTabNumber+'"><h4 class="tab">'+mtTabNumber+'. sirv</h4>'+
        $('#sirv-template').html()+
        '</div>'
    );
//]]>
</script>
{else}
<style>
.sirv-settings .error {
    overflow: hidden;
}
.sirv-settings fieldset {
    border: none;
}
.sirv-settings textarea {
    margin: 0;
    width: 99% !important;
    resize: vertical;
}
</style>
<div class="sirv-settings panel product-tab">
    <input type="hidden" name="submitted_tabs[]" value="sirv" />
    {if $p16x_template}
    <h3>{l s='Product Videos' mod='sirv'}</h3>
    {else}
    <h4>{l s='Product Videos' mod='sirv'}</h4>
    {/if}
    <div class="separation"></div>



    {if isset($sirv_invalid_urls)}
    {if $p16x_template}
    <div class="bootstrap">
        <div class="module_error alert alert-danger" >
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            {l s='"Product Videos" value contains incorrect urls:' mod='sirv'}
            <ul>
                {foreach from=$sirv_invalid_urls item=url}
                    <li>{$url|escape:'html':'UTF-8'}</li>
                {/foreach}
            </ul>
        </div>
    </div>
    {else}
    <div class="error">
        <span style="float:right">
            <a id="hideError" href="#"><img alt="X" src="../img/admin/close.png" /></a>
        </span>
        {l s='"Product Videos" value contains incorrect urls:' mod='sirv'}
        <br/>
        <ol>
            {foreach from=$sirv_invalid_urls item=url}
                <li>{$url|escape:'html':'UTF-8'}</li>
            {/foreach}
        </ol>
    </div>
    {/if}
    {/if}
    <fieldset>
        <textarea name="sirv_video" rows="10">{if isset($sirv_textarea)}{$sirv_textarea|escape:'html':'UTF-8'}{/if}</textarea>
        <p class="{if $p16x_template}help-block{else}preference_description{/if}">{l s='Provide links to video separated by a space or new line' mod='sirv'}</p>
    </fieldset>


    
    {if isset($sirv_invalid_urls_assets)}
    {if $p16x_template}
    <div class="bootstrap">
        <div class="module_error alert alert-danger" >
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            {l s='"Sirv assets" value contains incorrect urls:' mod='sirv'}
            <ul>
                {foreach from=$sirv_invalid_urls_assets item=url}
                    <li>{$url|escape:'html':'UTF-8'}</li>
                {/foreach}
            </ul>
        </div>
    </div>
    {else}
    <div class="error">
        <span style="float:right">
            <a id="hideError" href="#"><img alt="X" src="../img/admin/close.png" /></a>
        </span>
        {l s='"Sirv assets" value contains incorrect urls:' mod='sirv'}
        <br/>
        <ol>
            {foreach from=$sirv_invalid_urls_assets item=url}
                <li>{$url|escape:'html':'UTF-8'}</li>
            {/foreach}
        </ol>
    </div>
    {/if}
    {/if}
    <fieldset>
        <textarea name="sirv_assets" rows="10">{if isset($sirv_textarea_assets)}{$sirv_textarea_assets|escape:'html':'UTF-8'}{/if}</textarea>
        <p class="{if $p16x_template}help-block{else}preference_description{/if}">{l s='Provide links to Sirv assets separated by a space or new line' mod='sirv'}</p>
    </fieldset>




    {if $p16x_template}
    <div class="panel-footer">
        <button type="submit" name="submitAddproduct" class="btn btn-default pull-right" disabled="disabled"><i class="process-icon-loading"></i> {l s='Save' mod='sirv'}</button>
        <button type="submit" name="submitAddproductAndStay" class="btn btn-default pull-right" disabled="disabled"><i class="process-icon-loading"></i> {l s='Save and stay' mod='sirv'}</button>
    </div>
    {/if}
</div>
<div class="clear">&nbsp;</div>
{/if}
<!-- /sirv -->

<script>
$('#link-ModuleSirv').html('Sirv videos');
</script>