{*
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*}

<div class="col-md-12">
    <div class="row">
        <div class="col-md-9">
            <fieldset class="form-group">
                <label class="form-control-label">
                    {l s='Extra assets from Sirv' mod='sirv'}
                    <span class="help-box" data-toggle="popover" data-content="{l s='Provide links to Sirv assets separated by a space or new line' mod='sirv'}" ></span>
                </label>
                {if isset($sirv_invalid_urls_assets)}
                <div class="row">
                    <div class="col-md-9">
                        <div class="alert alert-warning" role="alert">
                            <i class="material-icons">help</i>
                            <p class="alert-text">
                                {l s='"Sirv assets" value contains incorrect urls:' mod='sirv'}<br><br>
                                <ul>
                                    {foreach from=$sirv_invalid_urls_assets item=url}
                                        <li>{$url|escape:'html':'UTF-8'}</li>
                                    {/foreach}
                                </ul>
                            </p>
                        </div>
                    </div>
                </div>
                {/if}
                <div class="translations tabbable" id="form_stepX_product_videos">
                    <div class="tab-content">
                        <div class="tab-pane active">
                            <textarea name="sirv_assets" placeholder="" class="form-control" rows="10" cols="45">{if isset($sirv_textarea_assets)}{$sirv_textarea_assets|escape:'html':'UTF-8'}{/if}</textarea>
                        </div>
                    </div>
                </div>
            </fieldset>
        </div>
    </div>
    <div class="row">
        <div class="col-md-9">
            <fieldset class="form-group">
                <label class="form-control-label">
                    {l s='Product Videos' mod='sirv'}
                    <span class="help-box" data-toggle="popover" data-content="{l s='Provide links to video separated by a space or new line' mod='sirv'}" ></span>
                </label>
                {if isset($sirv_invalid_urls)}
                <div class="row">
                    <div class="col-md-9">
                        <div class="alert alert-warning" role="alert">
                            <i class="material-icons">help</i>
                            <p class="alert-text">
                                {l s='"Product Videos" value contains incorrect urls:' mod='sirv'}<br><br>
                                <ul>
                                    {foreach from=$sirv_invalid_urls item=url}
                                        <li>{$url|escape:'html':'UTF-8'}</li>
                                    {/foreach}
                                </ul>
                            </p>
                        </div>
                    </div>
                </div>
                {/if}
                <div class="translations tabbable" id="form_stepX_product_videos">
                    <div class="tab-content">
                        <div class="tab-pane active">
                            <textarea name="sirv_video" placeholder="" class="form-control" rows="10" cols="45">{if isset($sirv_textarea)}{$sirv_textarea|escape:'html':'UTF-8'}{/if}</textarea>
                        </div>
                    </div>
                </div>
            </fieldset>
        </div>
    </div>
</div>

<script>$(document).ready(function(){ setTimeout(function(){ $('textarea[name="sirv_video"]').replaceWith(  $('textarea[name="sirv_video"]').get(0).outerHTML ) }, 100) })</script>


<style type="text/css">
.module-render-container.module-sirv h2,
.module-render-container.module-sirv .small.no-padding,
.module-render-container.module-sirv .module-version { display:none; }
</style>


<script>
    document.querySelector('[name="sirv_assets"]').setAttribute( 'placeholder', 'https://your-account.sirv.com/example/image.jpg<br/>https://your-account.sirv.com/example/example.spin'.replace(/<br\/>/g, "\r\n") );
    document.querySelector('[name="sirv_video"]').setAttribute( 'placeholder', 'https://www.youtube.com/watch?v=xxxxxxxxxxx<br/>https://player.vimeo.com/video/xxxxxxxxx'.replace(/<br\/>/g, "\r\n") );
</script>