{*
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Sirv Limited <support@sirv.com>
*  @copyright Copyright (c) 2017-2023 Sirv Limited. All rights reserved
*  @license   https://www.magictoolbox.com/license/
*}

<ps-panel header="{l s='Stats' mod='sirv'}" id="fieldset_stats">

    <div class="row">
    	<div class="col-sm-6">
    		<h4>{l s='Storage' mod='sirv'}</h4>
    		<div class="row">
    			<div class="col-sm-3 col-xs-6">
    				<label>{l s='Allowance' mod='sirv'}</label>
    			</div>
    			<div class="col-sm-9 col-xs-6">
    				{$storageInfo['storage']['allowance_text']|escape:'html':'UTF-8'}
    			</div>
			</div>
			<div class="row">    			
    			<div class="col-sm-3 col-xs-6">
    				<label>{l s='Used' mod='sirv'}</label>
    			</div>
    			<div class="col-sm-9 col-xs-6">
    				{$storageInfo['storage']['used_text']|escape:'html':'UTF-8'} <span class="text-muted">({$storageInfo['storage']['used_percent']|escape:'html':'UTF-8'}%)</span>
    			</div>
    		</div>
			<div class="row">    			
    			<div class="col-sm-3 col-xs-6">
    				<label>{l s='Available' mod='sirv'}</label>
    			</div>
    			<div class="col-sm-9 col-xs-6 {if $storageInfo['storage']['available'] < 0}color-red{/if}">
    				{$storageInfo['storage']['available_text']|escape:'html':'UTF-8'} <span class="text-muted">({$storageInfo['storage']['available_percent']|escape:'html':'UTF-8'}%)</span>
    				{if $storageInfo['storage']['available'] < 0}
    					<a target="_blank" href="https://my.sirv.com/#/account/billing/plan">{l s='Please upgrade' mod='sirv'}</a>	
    				{/if}
    			</div>
    		</div>
			<div class="row">    			
    			<div class="col-sm-3 col-xs-6">
    				<label>{l s='Files' mod='sirv'}</label>
    			</div>
    			<div class="col-sm-9 col-xs-6">
    				{$storageInfo['storage']['files']|escape:'html':'UTF-8'}
    			</div>
    		</div>

            {l s='View more statistics in' mod='sirv'} <a href="https://my.sirv.com/#/analytics" target="_blank">{l s='your Sirv account.' mod='sirv'}</a>


    	</div>
    	<div class="col-sm-6">
    		<h4>{l s='Traffic' mod='sirv'}</h4>
    		<div class="row">
    			<div class="col-lg-4 col-xs-4 month-name">
    				<label>{l s='Allowance' mod='sirv'}</label>
    			</div>
    			<div class="col-lg-8 col-xs-8 month-transfer">
    				{$storageInfo['traffic']['allowance_text']|escape:'html':'UTF-8'}
                    {if $storageInfo['plan']['dataTransferExtra_text'] != ''}(+{$storageInfo['plan']['dataTransferExtra_text']|escape:'html':'UTF-8'} {l s='extra' mod='sirv'}){/if}
    			</div>
			</div>
			{foreach from=$storageInfo['traffic']['traffic'] key=label item=text}
    		<div class="row month-row">
    			<div class="col-lg-4 col-md-6 nowrap month-name">
    				<label>{$label|escape:'html':'UTF-8'}</label>
    			</div>
				<div class="col-lg-3 col-md-6 month-transfer">
					{$text['size_text']|escape:'html':'UTF-8'}
				</div>
				<div class="col-lg-5 month-progress">
                    <div class="sirv-progress-bar-holder">    						
					   <div class="sirv-progress-bar {if $text['percent'] > 95}red{/if} {if $text['size'] == 0 }size0{/if}">
							<div>
								 <div style="width: {$text['percent_reverse']|escape:'html':'UTF-8'}%;"></div>
							</div>
					   </div>
                    </div>
				</div>
			</div>
			{/foreach}
    		
    	</div>

    </div>

    <div class="row">

        <div class="col-lg-12">

            <hr/>

            <!--
            {if !$storageInfoShowAPI}<a class="show-api-usage" href="#">{l s='Show API usage' mod='sirv'}</a>{/if}
            -->
            <div class="api-usage-block" {if true || $storageInfoShowAPI}style="display:block"{/if}>
                <h4>
                    {l s='API usage' mod='sirv'}
                    <span class="help-block last-update">
                        {l s='Last update' mod='sirv'}: {$sirv_stat_last_update|escape:'html':'UTF-8'} <a class="refresh-storage-info" title="{l s='Refresh' mod='sirv'}" href="#">{l s='Refresh' mod='sirv'}</a>
                    </span>
                </h4>

                <div class="clearfix"></div>

                <div class="row">



                    {for $i=0 to 1}
                    <div class="col-sm-6">
                        <table class="table">
                        <thead>
                            <tr>
                                <td><b>{l s='Type' mod='sirv'}</b></td>
                                <td><b>{l s='Limit' mod='sirv'}</b></td>
                                <td><b>{l s='Used' mod='sirv'}</b></td>
                                <td><b>{l s='Reset' mod='sirv'}</b></td>
                            </tr>
                        </thead>
                        {foreach from=$storageInfo['limits'][$i] key=label item=limit}
                            <tr>
                                
                                <td>                                    
                                    
                                    <b>{$limitsNames[$limit['type']]|escape:'html':'UTF-8'}</b><br/>
                                    
                                    <small>{$limit['type']|escape:'html':'UTF-8'}</small>

                                </td>


                                <td>{$limit['limit']|escape:'html':'UTF-8'}</td>
                                {if $limit['count'] > 0}
                                    <td>{$limit['count']|escape:'html':'UTF-8'} ({$limit['used']|escape:'html':'UTF-8'})</td>
                                    <td>{$limit['reset_str']|escape:'html':'UTF-8'}</td>
                                {else}
                                    <td>-</td>
                                    <td></td>
                                {/if}
                            </tr>
                        {/foreach}
                        </table>
                    </div>
                    {/for}
                </div>
            </div>

    
        </div>


    </div>


    <!--
    <div class="row">
        <div class="col-sm-12 help-block">
            {l s='Last update' mod='sirv'}: {$sirv_stat_last_update|escape:'html':'UTF-8'} <a class="refresh-storage-info" href="#">{l s='Refresh' mod='sirv'}</a>
        </div>
    </div>
    -->


</ps-panel>